﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Dynamics.Framework.UI;
using Microsoft.Dynamics.Framework.UI.Extensibility;
using Microsoft.Dynamics.Framework.UI.Extensibility.WinForms;

namespace DirectionsColoredTextBox
{
    [ControlAddInExport("Directions US - Colored TextBox Demo")]
    public class DirectionsColoredTextBoxClass : StringControlAddInBase
    {
        System.Windows.Forms.TextBox _textbox;

        [ApplicationVisible]
        public event EventHandler ControlAddInReady;

        [ApplicationVisible]
        public System.Drawing.Color BackColor
        {
            get
            {
                return _textbox.BackColor;
            }
            set
            {
                _textbox.BackColor = value;
            }
        }
        protected override System.Windows.Forms.Control CreateControl()
        {
            _textbox = new System.Windows.Forms.TextBox();

            
            if (ControlAddInReady != null)
                ControlAddInReady(this, null);

            return _textbox;
        }
    }
}
